## mail-spf-perl 2.007

=== debian/changelog ===
mail-spf-perl (2.007-2) unstable; urgency=low

  * Take over for the Debian Perl Group on request of the MIA team.
  * debian/control: Added: Vcs-Git field (source stanza); Vcs-Browser
    field (source stanza). Changed: Maintainer set to Debian Perl Group
    <pkg-perl-maintainers@lists.alioth.debian.org> (was: Julian Mehnle
    <julian@mehnle.net>).
  * debian/watch: use dist-based URL.
  * Switch to "3.0 (quilt)" source format.
  * Put "set -e" explicitly in maintainer scripts.
  * Switch to debhelper compatibility level 8, use tiny debian/rules.
  * Use DEP5 formatting for debian/copyright.
  * Add /me to Uploaders.
  * Bump Standards-Version to 3.9.2, remove version from perl build
    dependency.
  * Update build and runtime dependencies (versions satisfied in
    oldstable, modules moved to perl core).

 -- gregor herrmann <gregoa@debian.org>  Tue, 27 Dec 2011 21:43:46 +0100

mail-spf-perl (2.007-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.8.3 (was: 3.7.2)
  * Homepage: http://search.cpan.org/dist/Mail-SPF/
  * Build-Depends-Indep: perl-modules (>= 5.10.0) | libmodule-build-perl (>=
    0.26) (was: libmodule-build-perl (>= 0.26))
  * libmail-spf-perl:
    * Recommends: libnetaddr-ip-perl (>= 4.007) (in addition to the Depends on
      >= 4), as it has all $& and $` removed for better performance;
      see <http://issues.apache.org/SpamAssassin/show_bug.cgi?id=5312>.

 -- Julian Mehnle <julian@mehnle.net>  Sat, 31 Oct 2009 21:29:45 +0000

mail-spf-perl (2.005-1) unstable; urgency=low

  * Initial Debian release (closes: #444442).
  * Added watch file.

 -- Julian Mehnle <julian@mehnle.net>  Fri, 21 Sep 2007 02:20:58 +0000
 

mail-spf-perl (2.005) unstable; urgency=low

  Debian:
  * Conflicts: spfquery (<< 1.2.5.dfsg-1) (was unversioned)

  Mail::SPF:
  + Added a "max_void_dns_lookups" option to Mail::SPF::Server's constructor,
    allowing the number of potentially abusive lookups induced by DoS attacks
    to be limited.  See the documentation of the Mail::SPF::Server class.
  + Added a "precedence" class property to Mail::SPF::GlobalMod and sub-classes
    that defines the order in which global modifiers are to be processed
    (0: first, 1: last).  See Mail::SPF::Mod.
    Mail::SPF::Mod::Exp has precedence 0.2, Mail::SPF::Mod::Redirect has 0.8.
    Also, Mail::SPF::Record::global_mods() now returns modifiers ordered by
    precedence.
  + Added support for a non-standard %{_scope} pseudo macro that expands to the
    request's identity scope.  Note: Do NOT use any such non-standard macros in
    explanation strings published in DNS!
  ! Mail::SPF::Util::valid_domain_for_ip_address() now requires a Mail::SPF::
    Request object to be passed as a new second argument.  This is actually
    consistent with many of Mail::SPF's methods.  Please excuse the late API
    change (but who uses Mail::SPF::Util directly anyway?).
  * Updated default authority explanation string to include identity scope in
    the openspf.org "Why?" page URL in order to avoid misleading result
    explanations.
  * Truncate labels resulting from macro expansions to 63 bytes.  This is not
    strictly required by RFC 4408, 8.1/27, but is merely meant as a precaution.
  * Minor documentation fixes and improvements.

  Miscellaneous:
  * We pass (and include) the 2007.05 release of the official RFC 4408 test
    suite (no changes were required).

 -- Julian Mehnle <julian@mehnle.net>  Wed, 30 May 2007 23:00:00 +0000

mail-spf-perl (2.004) unstable; urgency=low

  Mail::SPF:
  * Correctly fall back to default authority explanation if the authority
    domain does specify an explanation string but it cannot be expanded (e.g.
    due to syntax errors).
  * In Mail::SPF::Result::received_spf_header(), gracefully fall back to a
    hostname of "unknown" if a fully qualified hostname can not be determined.
    Some (misconfigured) systems simply will not reveal one.
  * Minor documentation improvements and fixes.

  Miscellaneous:
  * Note in the README file that we pass the 2006.11 release of the official
    RFC 4408 test-suite.

  Tests:
  * Do not test Mail::SPF::Util::hostname(), as some (misconfigured) systems
    simply will not reveal a fully qualified hostname (see CPANTS tests for
    2.003).
  * Minor code clean-up.

 -- Julian Mehnle <julian@mehnle.net>  Sat, 20 Jan 2007 02:00:00 +0000

mail-spf-perl (2.003) unstable; urgency=low

  Mail::SPF:
  * Fixed two Perl 5.6 incompatibilities:
    * Added `use utf8` statements in several modules to keep Perl 5.6 from
      whining about /[\p{}]/.
    * Do not use the `use constant { a=>1, b=>2 }` multiple-constants idiom,
      as it was introduced only in constant 1.03 (Perl 5.7.2).
  * Fixed a very minor bug where a "TempError" result would incorrectly be
    returned in the very rare case when the SPF-type look-up succeeded but
    returned 0 records, and the following TXT-type look-up errored or timed
    out.  Now a "None" result is correctly returned in that case as demanded
    by RFC 4408.

  spfquery:
  * Minor documentation fixes.

 -- Julian Mehnle <julian@mehnle.net>  Wed, 10 Jan 2007 00:00:00 +0000

mail-spf-perl (2.002) unstable; urgency=low

  Mail::SPF:
  * Updated default authority explanation string to the SPF website's new
    "Why?" page URL parameters scheme:
    <http://www.openspf.org/Why?id=%{S}&ip=%{I}&receiver=%{R}>

  spfquery:
  * Updated the '--help' text and man-page with regard to the black magic
    options (which require the yet unreleased Mail::SPF::BlackMagic module).

 -- Julian Mehnle <julian@mehnle.net>  Thu, 14 Dec 2006 00:00:00 +0000

mail-spf-perl (2.001) unstable; urgency=low

  Gold Release!

  Major overhaul:
  ! Major code refactoring, achieving full RFC 4408/4406 compliance, and
    breaking API compatibility with 2.000.
  ! Switched from ExtUtils::MakeMaker to Module::Build.
  + Added complete rewrites of spfquery (2.500) and spfd (2.000).
  + Added complete documentation.

