## mail-spf-perl 2.8.0

=== debian/changelog ===
mail-spf-perl (2.8.0-1) unstable; urgency=low

  * New upstream release.
  * Update years of upstream and packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 30 Jan 2012 23:29:49 +0100
