=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
 Package: spf-tools-perl
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
- libmail-spf-perl (>= ${source:Version}),
+ libmail-spf-perl (>= ${source:Version})
 Breaks: spfquery (<< 1.2.5.dfsg-1),
  libmail-spf-query-perl (<< 1:1.999.1-3)
 Description: SPF tools (spfquery, spfd) based on the Mail::SPF Perl module
