=== debian/watch ===
version=3
http://search.cpan.org/dist/Mail-SPF/   .*/Mail-SPF-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)
