## mail-spf-perl 2.9.0

=== debian/changelog ===
mail-spf-perl (2.9.0-5) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Change bugtracker URL(s) to HTTPS.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ gregor herrmann ]
  * debian/copyright: replace tabs with spaces / remove trailing
    whitespace.
  * debian/watch: use uscan version 4.
  * Add patch to replace openspf.org URLs.
    Thanks to Stoiko Ivanov for the bug report and the patch. (Closes: #930032)
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.5.1.
  * Set Rules-Requires-Root: no.
  * Drop ancient Breaks.
  * Drop unneeded version constraints from (build) dependencies.
  * Annotate test-only build dependencies with <!nocheck>.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Sun, 03 Jan 2021 00:22:30 +0100

mail-spf-perl (2.9.0-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 14:50:34 +0100

mail-spf-perl (2.9.0-4) unstable; urgency=medium

  * Team upload

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Damyan Ivanov ]
  * Mark package as autopkgtest-able
  * Declare compliance with Debian Policy 3.9.6
  * Add explicit build dependency on libmodule-build-perl

 -- Damyan Ivanov <dmn@debian.org>  Sun, 07 Jun 2015 13:12:30 +0000

mail-spf-perl (2.9.0-3) unstable; urgency=medium

  * Strip trailing slash from metacpan URLs.
  * Make build dependency on libnet-dns-resolver-programmable-perl
    versioned. Cf. #752988.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Sun, 29 Jun 2014 16:48:50 +0200

mail-spf-perl (2.9.0-2) unstable; urgency=low

  * Add patch to fix POD test errors under Perl 5.18. (Closes: #720429)
  * debian/copyright: switch formatting to Copyright-Format 1.0.

 -- gregor herrmann <gregoa@debian.org>  Thu, 22 Aug 2013 15:30:33 +0200

mail-spf-perl (2.9.0-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Scott Kitterman ]
  * New upstream release
  * Add myself to uploaders
  * Bump debhelper verion and compat to 9
  * Bump standards version to 3.9.4 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Jul 2013 00:12:37 -0400
