=== debian/rules ===
#!/usr/bin/make -f

SOURCE_PACKAGE = mail-spf-perl
TMP = $(CURDIR)/debian/tmp

%:
	dh $@

override_dh_auto_install:
	dh_auto_install

	# Manually create man-pages for sbin/ executables:
	mkdir -p $(TMP)/usr/share/man/man8
	pod2man -s8p $(TMP)/usr/sbin/spfd           $(TMP)/usr/share/man/man8/spfd.8p

	# Rename the `spfquery` and `spfd` tools and their man-pages for the alternatives system:
	mv $(TMP)/usr/bin/spfquery                  $(TMP)/usr/bin/spfquery.$(SOURCE_PACKAGE)
	mv $(TMP)/usr/share/man/man1/spfquery.1p    $(TMP)/usr/share/man/man1/spfquery.$(SOURCE_PACKAGE).1p
	mv $(TMP)/usr/sbin/spfd                     $(TMP)/usr/sbin/spfd.$(SOURCE_PACKAGE)
	mv $(TMP)/usr/share/man/man8/spfd.8p        $(TMP)/usr/share/man/man8/spfd.$(SOURCE_PACKAGE).8p

override_dh_installdocs:
	dh_installdocs -A README TODO
