=== debian/watch ===
version=4
https://metacpan.org/release/Mail-SPF   .*/Mail-SPF-v?@ANY_VERSION@@ARCHIVE_EXT@$
