## mail-spf-perl 3.20240206

=== debian/changelog ===
mail-spf-perl (3.20240206-1) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2 without further change
  * New upstream release
    - Refresh patches
  * Update d/rules to keep spfd in sbin

 -- Scott Kitterman <scott@kitterman.com>  Fri, 09 Feb 2024 11:55:36 -0500
