## mail-spf-perl 3.20240617

=== debian/changelog ===
mail-spf-perl (3.20240617-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.7.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Tue, 18 Jun 2024 01:14:40 -0400
