## mail-spf-perl 3.20240923

=== debian/changelog ===
mail-spf-perl (3.20240923-1) unstable; urgency=medium

  * Import upstream version 3.20240923.
  * Refresh patches (offset).

 -- gregor herrmann <gregoa@debian.org>  Mon, 23 Sep 2024 19:31:06 +0200

mail-spf-perl (3.20240827-1) unstable; urgency=medium

  * Import upstream version 3.20240827.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Thu, 29 Aug 2024 14:50:00 +0200
