=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,11 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	# Undo upstream move from sbin to bin, for alternatives
+	mkdir -p $(TMP)/usr/sbin
+	cp -f $(TMP)/usr/bin/spfd $(TMP)/usr/sbin
+	rm -f $(TMP)/usr/bin/spfd
+	rm -f $(TMP)/usr/share/man/man1/spfd.1p
 
 	# Manually create man-pages for sbin/ executables:
 	mkdir -p $(TMP)/usr/share/man/man8
