## mail-spf-perl 3.20250505

=== debian/changelog ===
mail-spf-perl (3.20250505-1) unstable; urgency=medium

  * Import upstream version 3.20250505.
  * Drop patches, fixed upstream.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.7.2.

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 May 2025 02:34:17 +0200
