=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                      libtest-pod-perl <!nocheck>,
                      liburi-perl <!nocheck>,
                      perl
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/mail-spf-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/mail-spf-perl.git
 Homepage: https://metacpan.org/release/Mail-SPF
